## org.w3c.dom.svg
Interface SVGZoomAndPan

All Known Subinterfaces:
  SVGSVGElement, SVGViewElement, SVGViewSpec

All Known Implementing Classes:
  SVGOMSVGElement, SVGOMViewElement

public interface SVGZoomAndPan

Field Summary
`static short` `SVG_ZOOMANDPAN_DISABLE`
`static short` `SVG_ZOOMANDPAN_MAGNIFY`
`static short` `SVG_ZOOMANDPAN_UNKNOWN`

Method Summary
`short` `getZoomAndPan()`
`void` `setZoomAndPan(short zoomAndPan)`

Field Detail

### SVG_ZOOMANDPAN_UNKNOWN

    public static final short SVG_ZOOMANDPAN_UNKNOWN

See Also:
  Constant Field Values

### SVG_ZOOMANDPAN_DISABLE

    public static final short SVG_ZOOMANDPAN_DISABLE

See Also:
  Constant Field Values

### SVG_ZOOMANDPAN_MAGNIFY

    public static final short SVG_ZOOMANDPAN_MAGNIFY

See Also:
  Constant Field Values

Method Detail

### getZoomAndPan

    public short getZoomAndPan()

### setZoomAndPan

    public void setZoomAndPan(short zoomAndPan)
                       throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.